// plugins/auth.client.ts
import { useUserStore } from '@/stores/user';

export default defineNuxtPlugin(() => {
  const userStore = useUserStore();
  userStore.init(); // <-- does _all_ of the work now
});
